Index: vorbis-tools/autogen.sh
--- vorbis-tools~autotools/autogen.sh	2004-06-10 16:59:15.985619984 +0200
+++ vorbis-tools/autogen.sh	2004-06-10 16:59:22.929564344 +0200
@@ -66,15 +66,15 @@
 echo "Generating configuration files for $package, please wait...."
 
 echo "  aclocal $ACLOCAL_FLAGS"
-aclocal $ACLOCAL_FLAGS
-#echo "  autoheader"
-#autoheader
+aclocal $ACLOCAL_FLAGS || exit 1
+echo "  autoheader"
+autoheader || exit 1
 echo "  libtoolize --automake"
-libtoolize --automake
+libtoolize --automake || exit 1
 echo "  automake --add-missing $AUTOMAKE_FLAGS"
-automake --add-missing $AUTOMAKE_FLAGS 
+automake --add-missing $AUTOMAKE_FLAGS || exit 1
 echo "  autoconf"
-autoconf
+autoconf || exit 1
 
 cd $olddir
 $srcdir/configure "$@" && echo
Index: vorbis-tools/configure.in
--- vorbis-tools~autotools/configure.in	2004-06-10 16:59:15.984620136 +0200
+++ vorbis-tools/configure.in	2004-06-10 17:00:38.166126648 +0200
@@ -6,12 +6,17 @@
 
 AC_INIT(oggenc/encode.c)
 
+AC_CANONICAL_HOST
+AC_CANONICAL_TARGET
+
 dnl Apparently we need a newer version than we used to. 
 AC_PREREQ(2.53)
 
 AM_INIT_AUTOMAKE(vorbis-tools,1.0.1)
 AM_MAINTAINER_MODE
 
+AC_CONFIG_HEADER(config.h)
+
 dnl --------------------------------------------------  
 dnl Check for programs
 dnl --------------------------------------------------  
@@ -31,8 +36,6 @@
 dnl Set build flags based on environment
 dnl --------------------------------------------------
 
-AC_CANONICAL_HOST
-
 cflags_save="$CFLAGS"
 ldflags_save="$LDFLAGS"
 if test -z "$GCC"; then
@@ -144,7 +147,7 @@
 
 if test "x$have_libFLAC" = xyes; then
    if test "x$build_flac" = xyes; then
-      AC_DEFINE(HAVE_LIBFLAC)
+      AC_DEFINE(HAVE_LIBFLAC, 1, [Defined if we have libFLAC])
    fi
 else
    build_flac="no"
@@ -167,7 +170,7 @@
 
 if test "x$have_libspeex" = xyes; then
    if test "x$build_speex" = xyes; then
-      AC_DEFINE(HAVE_LIBSPEEX)
+      AC_DEFINE(HAVE_LIBSPEEX, 1, [Defined if we have libspeex])
    fi
 else
    build_speex="no"
Index: vorbis-tools/debian/Makefile.am
--- vorbis-tools~autotools/debian/Makefile.am	2004-06-10 16:59:15.985619984 +0200
+++ vorbis-tools/debian/Makefile.am	2004-06-10 16:59:22.929564344 +0200
@@ -1,6 +1,4 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
-
 EXTRA_DIST = changelog control copyright rules vorbis-tools.README.Debian \
 	vorbis-tools.install vorbis-tools.manpages vorbis-tools.mime
Index: vorbis-tools/include/Makefile.am
--- vorbis-tools~autotools/include/Makefile.am	2004-06-10 16:59:16.022614360 +0200
+++ vorbis-tools/include/Makefile.am	2004-06-10 16:59:22.959559784 +0200
@@ -1,5 +1,3 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
-
 EXTRA_DIST = utf8.h getopt.h i18n.h
Index: vorbis-tools/ogg123/cmdline_options.c
--- vorbis-tools~autotools/ogg123/cmdline_options.c	2004-06-10 16:59:16.093603568 +0200
+++ vorbis-tools/ogg123/cmdline_options.c	2004-06-10 16:59:23.025549752 +0200
@@ -20,6 +20,9 @@
 #include <string.h>
 #include <ao/ao.h>
 
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
 #include "getopt.h"
 #include "cmdline_options.h"
 #include "status.h"
Index: vorbis-tools/ogg123/compat.h
--- vorbis-tools~autotools/ogg123/compat.h	2004-06-10 16:59:16.129598096 +0200
+++ vorbis-tools/ogg123/compat.h	2004-06-10 16:59:23.056545040 +0200
@@ -18,6 +18,10 @@
 #ifndef __COMPAT_H__
 #define __COMPAT_H__
 
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
 #ifdef __sun
 #include <alloca.h>
 #endif
Index: vorbis-tools/ogg123/format.c
--- vorbis-tools~autotools/ogg123/format.c	2004-06-10 16:59:16.094603416 +0200
+++ vorbis-tools/ogg123/format.c	2004-06-10 16:59:23.025549752 +0200
@@ -18,6 +18,9 @@
 #include <stdio.h>
 #include <string.h>
 
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
 #include "transport.h"
 #include "format.h"
 #include "i18n.h"
Index: vorbis-tools/ogg123/http_transport.c
--- vorbis-tools~autotools/ogg123/http_transport.c	2004-06-10 16:59:16.094603416 +0200
+++ vorbis-tools/ogg123/http_transport.c	2004-06-10 16:59:23.026549600 +0200
@@ -15,6 +15,9 @@
  
 ********************************************************************/
 
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
 #ifdef HAVE_CURL
 
 #include <stdlib.h>
Index: vorbis-tools/ogg123/Makefile.am
--- vorbis-tools~autotools/ogg123/Makefile.am	2004-06-10 16:59:16.022614360 +0200
+++ vorbis-tools/ogg123/Makefile.am	2004-06-10 16:59:22.960559632 +0200
@@ -1,7 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
-
 datadir = @datadir@
 localedir = $(datadir)/locale
 DEFS = -DLOCALEDIR=\"$(localedir)\" @DEFS@
Index: vorbis-tools/ogg123/transport.c
--- vorbis-tools~autotools/ogg123/transport.c	2004-06-10 16:59:16.129598096 +0200
+++ vorbis-tools/ogg123/transport.c	2004-06-10 16:59:23.056545040 +0200
@@ -18,6 +18,9 @@
 #include <stdio.h>
 #include <string.h>
 
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
 #include "transport.h"
 #include "i18n.h"
 
Index: vorbis-tools/oggdec/Makefile.am
--- vorbis-tools~autotools/oggdec/Makefile.am	2004-06-10 16:59:16.023614208 +0200
+++ vorbis-tools/oggdec/Makefile.am	2004-06-10 16:59:22.960559632 +0200
@@ -1,7 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
-
 mans = oggdec.1
 oggdecsources = oggdec.c
 
Index: vorbis-tools/oggenc/audio.c
--- vorbis-tools~autotools/oggenc/audio.c	2004-06-10 16:59:16.159593536 +0200
+++ vorbis-tools/oggenc/audio.c	2004-06-10 16:59:23.089540024 +0200
@@ -14,6 +14,11 @@
 #include <string.h>
 #include <sys/types.h>
 #include <math.h>
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
 #include "audio.h"
 #include "platform.h"
 #include "i18n.h"
Index: vorbis-tools/oggenc/Makefile.am
--- vorbis-tools~autotools/oggenc/Makefile.am	2004-06-10 16:59:16.023614208 +0200
+++ vorbis-tools/oggenc/Makefile.am	2004-06-10 16:59:22.960559632 +0200
@@ -1,7 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
-
 SUBDIRS = man
 
 datadir = @datadir@
Index: vorbis-tools/oggenc/man/Makefile.am
--- vorbis-tools~autotools/oggenc/man/Makefile.am	2004-06-10 16:59:16.093603568 +0200
+++ vorbis-tools/oggenc/man/Makefile.am	2004-06-10 16:59:23.024549904 +0200
@@ -1,7 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
-
 mans = oggenc.1
 
 mandir = @MANDIR@
Index: vorbis-tools/ogginfo/Makefile.am
--- vorbis-tools~autotools/ogginfo/Makefile.am	2004-06-10 16:59:16.060608584 +0200
+++ vorbis-tools/ogginfo/Makefile.am	2004-06-10 16:59:22.992554768 +0200
@@ -1,7 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
-
 mans = ogginfo.1
 ogginfosources = ogginfo2.c
 
Index: vorbis-tools/share/Makefile.am
--- vorbis-tools~autotools/share/Makefile.am	2004-06-10 16:59:16.060608584 +0200
+++ vorbis-tools/share/Makefile.am	2004-06-10 16:59:22.993554616 +0200
@@ -1,7 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
-
 INCLUDES = -I$(top_srcdir)/include
 
 noinst_LIBRARIES = libutf8.a libgetopt.a
Index: vorbis-tools/vcut/Makefile.am
--- vorbis-tools~autotools/vcut/Makefile.am	2004-06-10 16:59:16.060608584 +0200
+++ vorbis-tools/vcut/Makefile.am	2004-06-10 16:59:22.993554616 +0200
@@ -1,7 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
-
 mans = vcut.1
 vcutsources = vcut.c vcut.h
 
Index: vorbis-tools/vorbiscomment/Makefile.am
--- vorbis-tools~autotools/vorbiscomment/Makefile.am	2004-06-10 16:59:16.061608432 +0200
+++ vorbis-tools/vorbiscomment/Makefile.am	2004-06-10 16:59:22.994554464 +0200
@@ -1,7 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
-
 mans = vorbiscomment.1
 vorbiscommentsources = vcedit.c vcedit.h vcomment.c
 
Index: vorbis-tools/vorbiscomment/vcomment.c
--- vorbis-tools~autotools/vorbiscomment/vcomment.c	2004-06-10 16:59:16.130597944 +0200
+++ vorbis-tools/vorbiscomment/vcomment.c	2004-06-10 16:59:23.057544888 +0200
@@ -13,6 +13,11 @@
 #include <string.h>
 #include <stdlib.h>
 #include <locale.h>
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
 #include "getopt.h"
 #include "utf8.h"
 #include "i18n.h"
Index: vorbis-tools/win32/Makefile.am
--- vorbis-tools~autotools/win32/Makefile.am	2004-06-10 16:59:16.061608432 +0200
+++ vorbis-tools/win32/Makefile.am	2004-06-10 16:59:22.994554464 +0200
@@ -1,7 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign dist-zip
-
 EXTRA_DIST = oggenc.dsp oggenc_dynamic.dsp ogginfo.dsp tools.dsp tools.dsw\
 	tools.opt vcut.dsp vorbiscomment.dsp
 
